## caffeine-ng 3.3.4

=== Makefile ===
build:
	python setup.py build
install:
	python setup.py install
genenerate_pot:
	python scripts/generate_pot.py
compile_translations:
	python scripts/compile_translations.py
update_translations:
	python scripts/update_translations.py
clean:
	rm -rf build etc
	find . -name "*.pyc" -delete
.PHONY: install build clean

=== requirements.txt ===
docopt==0.6.2
ewmh==0.1.3
python3-xlib==0.15
pyxdg==0.25
setproctitle>=1.1.9

=== debian/changelog ===
caffeine-ng (3.3.4-1) mx; urgency=medium

  * Applied patch from dolphin_oracle which corrects parsing of the CLI --time option.

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Wed, 24 Aug 2016 15:03:12 -0400

caffeine-ng (3.3.4-0) mx; urgency=low

  * Initial deb packaging
  * Packaged for MX-15

 -- Timothy E. Harris <maintainer@mepiscommunity.org>  Sat, 24 Jul 2016 10:53:09 -0400

=== debian/control ===
Source: caffeine-ng
Section: python
Priority: optional
Maintainer: Timothy E. Harris <maintainer@mepiscommunity.org>
Build-Depends: debhelper (>= 9), dh-python, python3-all, python3-ewmh, python3-setproctitle (>= 1.1.9), python3-xlib (>= 0.15), python3-xdg, python3-docopt, python3-setuptools (>= 12), python3-setuptools-scm
Standards-Version: 3.9.5
Homepage: https://gitlab.com/hobarrera/caffeine-ng/
X-Python-Version: >= 3.2

Package: caffeine-ng
Architecture: all
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-pyatspi2, python3-xlib (>= 0.15), python3-ewmh, python3-setproctitle (>= 1.1.9)
Conflicts: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Provides: caffeine, caffeine-bzr, caffeine-oneclick, caffeine-systray
Replaces: caffeine-oneclick, caffeine-systray
Description: Caffeine-ng is a little daemon that sits in you systray to prevent
 the screensaver from showing up, or the system from going to sleep.
 It does so when an application is fullscreened (eg: youtube), or when you click
 on the systray icon (which you can do, when, eg: reading).

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python3  --buildsystem=pybuild

build-indep:
	dh_testdir
	dh_installdirs
